<script>
    import NftDetailedDescription from '../../../Components/NftDetailedDescription.svelte';
    import TestCaseOverview from '../../../Components/TestCaseOverview.svelte';
    import NftTestVectors from '../../../data/showcase/vectors_nft_bundles.json';
</script>

<h1>Component: NftDetailedDescription</h1>
<p>
    A component that renders detailed descriptive data found within the NFT object's open-ended
    payload fields (token_uri and base_uri) or surmised from the object attributes of the NFT and
    collection objects.
</p>

{#each NftTestVectors.vectors as test_case}
    <TestCaseOverview {test_case} />
    {#each test_case.mock_data as mock}
        <div class="mb-5">
            <NftDetailedDescription nft_full={mock.nft_full} />
        </div>
    {/each}
{/each}

<style>
    h1 {
        font-size: 2.5em;
        margin-bottom: 0.1em;
    }
    h2 {
        font-size: 1.5em;
    }
    .testcase {
        background-color: LightGray;
        padding-left: 1em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
        margin-top: 1em;
        margin-bottom: 1em;
    }
</style>
